//#ifndef GL_DEBUG_DRAWER_H
#define GL_DEBUG_DRAWER_H

#include "Bullet/LinearMath/btIDebugDraw.h"
#include "Shader.h"
#include <glm/glm.hpp>
#include <vector>
namespace cgue
{
	namespace thewall{

class BulletDebugDraw : public btIDebugDraw{

//	int m_debugMode;

public:

	BulletDebugDraw();
	virtual ~BulletDebugDraw(); 
	
	//
	void SetMatrices(glm::mat4 pViewMatrix, glm::mat4 pProjectionMatrix);
	virtual void drawLine(const btVector3& from, const btVector3& to,const btVector3& color);
	
	virtual void drawContactPoint(const btVector3 &,const btVector3 &,btScalar,int,const btVector3 &);
	virtual void reportErrorWarning(const char *);
	virtual void draw3dText(const btVector3 &,const char *);
	virtual void setDebugMode(int p);
	
	//
	 virtual int getDebugMode(void) const {return 3;}
	
	 int m;
		};
	}
}
//#endif//GL_DEBUG_DRAWER_H