#include "BulletDebugDraw.h"
#include "bullet-2.81-rev2613\src\btBulletDynamicsCommon.h"
#include "GL\glew.h"
#include <glm/glm.hpp>


//using namespace glm;
using namespace cgue::thewall;

BulletDebugDraw::BulletDebugDraw(): m(0)
{
}

BulletDebugDraw::~BulletDebugDraw()
{
}

void BulletDebugDraw::drawLine(const btVector3& from,const btVector3& to,const btVector3& color){
              
		glColor3f(color.x(), color.y(), color.z());
              glBegin(GL_LINES);
                      glVertex3f(from.x(), from.y(), from.z());
                      glVertex3f(to.x(), to.y(), to.z());
              glEnd();
}

void BulletDebugDraw::SetMatrices(glm::mat4 pViewMatrix, glm::mat4 pProjectionMatrix){
    glUseProgram(0); // Use Fixed-function pipeline (no shaders)
    glMatrixMode(GL_MODELVIEW);
    glLoadMatrixf(&pViewMatrix[0][0]);
	glMatrixMode(GL_PROJECTION);
    glLoadMatrixf(&pProjectionMatrix[0][0]);
}

void BulletDebugDraw::drawContactPoint(const btVector3 &,const btVector3 &,btScalar,int,const btVector3 &){}
void BulletDebugDraw::reportErrorWarning(const char *){}
void BulletDebugDraw::draw3dText(const btVector3 &,const char *){}
void BulletDebugDraw::setDebugMode(int p){
              m = p;
      }




