#pragma once
#include "fmod\fmod.hpp"
#pragma comment(lib, "fmodex_vc.lib")

namespace cgue{
	namespace thewall{
		class Music
		{
		public:
			Music();
			~Music(void);
			void stopBackgroundMusic();
			void playGameOverSound();
			void playPlopSound();
			void playKeySound();
			void playSlanderSound();
			//FMod Stuff
		FMOD::System* getSystem();
		private:
			FMOD::Channel* channel;
			FMOD::Channel* channel2;

			FMOD::System *system; //handle to FMOD engine
			FMOD::Sound *backgroundSound; //sound that will be loaded and played
			FMOD::Sound *gameOverSound;
			FMOD::Sound *plopSound;
			FMOD::Sound *keySound;
			FMOD::Sound *slanderSound;
		};
	}
}
