#pragma once
#include "glm/glm.hpp"
#include <string>
#include "Shader.h"

namespace cgue{
	namespace thewall{
		class SpotLight
		{
		public:
			glm::vec3 vColor;
			glm::vec3 vPosition;
			glm::vec3 vDirection;

			float bOn;
			float fConeAngle;
			float fLinearAtt;
			void SetUniformData(Shader* spProgram, std::string sLightVarName);
			SpotLight();
			SpotLight(glm::vec3 a_vColor, glm::vec3 a_vPosition, glm::vec3 a_vDirection, float a_bOn, float a_fConeAngle, float a_fLinearAtt);
		private:
			// This shouldn't be changed from outside
			float fConeCosine;
		};
	}
}